/*--------------------------------------------------------------------------+
$Id: codetemplates.xml 1 2011-01-01 00:00:01Z hoelzl $
|                                                                          |
| Copyright 2016 ForTISS GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.kernel.extension;

import org.eclipse.emf.ecore.EObject;
import org.fortiss.tooling.kernel.extension.data.TutorialDefinition;
import org.fortiss.tooling.kernel.extension.data.TutorialStep;

/**
 * A tutorial provider provides all data about a single tutorial to the kernel infrastructure.
 * 
 * @author hoelzl
 * @author $Author: hoelzl $
 * @version $Rev: 18709 $
 * @ConQAT.Rating RED Hash:
 */
public interface ITutorialProvider {
	/** Returns the definition element of this tutorial. */
	public TutorialDefinition getDefinition();

	/** Returns the root element of this tutorial. */
	public EObject getRootElement();

	/** Returns the initial step of this tutorial. */
	public TutorialStep getInitialStep();

	/** Returns the next tutorial step for the given step. */
	public TutorialStep getNextStep(TutorialStep step);

	/** Returns the global whitelist provider. */
	public ITutorialWhitelistProvider getGlobalWhitelistProvider();
}
